<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="API documentation for the Rust `maxmind_reader` mod in crate `geoip_maxmind`."><meta name="keywords" content="rust, rustlang, rust-lang, maxmind_reader"><title>geoip_maxmind::lib::maxmind_reader - Rust</title><link rel="stylesheet" type="text/css" href="../../../normalize.css"><link rel="stylesheet" type="text/css" href="../../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../../dark.css"><link rel="stylesheet" type="text/css" href="../../../light.css" id="themeStyle"><script src="../../../storage.js"></script><noscript><link rel="stylesheet" href="../../../noscript.css"></noscript><link rel="shortcut icon" href="../../../favicon.ico"><style type="text/css">#crate-search{background-image:url("../../../down-arrow.svg");}</style></head><body class="rustdoc mod"><!--[if lte IE 8]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="sidebar"><div class="sidebar-menu">&#9776;</div><a href='../../../geoip_maxmind/index.html'><div class='logo-container'><img src='../../../rust-logo.png' alt='logo'></div></a><p class='location'>Module maxmind_reader</p><div class="sidebar-elems"><div class="block items"><ul><li><a href="#structs">Structs</a></li><li><a href="#functions">Functions</a></li></ul></div><p class='location'><a href='../../index.html'>geoip_maxmind</a>::<wbr><a href='../index.html'>lib</a></p><script>window.sidebarCurrent = {name: 'maxmind_reader', ty: 'mod', relpath: '../'};</script><script defer src="../sidebar-items.js"></script></div></nav><div class="theme-picker"><button id="theme-picker" aria-label="Pick another theme!"><img src="../../../brush.svg" width="18" alt="Pick another theme!"></button><div id="theme-choices"></div></div><script src="../../../theme.js"></script><nav class="sub"><form class="search-form"><div class="search-container"><div><select id="crate-search"><option value="All crates">All crates</option></select><input class="search-input" name="search" disabled autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"></div><a id="settings-menu" href="../../../settings.html"><img src="../../../wheel.svg" width="18" alt="Change settings"></a></div></form></nav><section id="main" class="content"><h1 class='fqn'><span class='out-of-band'><span id='render-detail'><a id="toggle-all-docs" href="javascript:void(0)" title="collapse all docs">[<span class='inner'>&#x2212;</span>]</a></span><a class='srclink' href='../../../src/geoip_maxmind/lib/maxmind_reader.rs.html#1-240' title='goto source code'>[src]</a></span><span class='in-band'>Module <a href='../../index.html'>geoip_maxmind</a>::<wbr><a href='../index.html'>lib</a>::<wbr><a class="mod" href=''>maxmind_reader</a></span></h1><div class='docblock'><h1 id="maxmind_readers--mod-to-get-data-from-maxmind-db" class="section-header"><a href="#maxmind_readers--mod-to-get-data-from-maxmind-db">maxmind_readers ( mod to get data from maxmind db)</a></h1>
<p>simple mod to create an handler for different maxmind db 
and function to read , retrieve data</p>
</div><h2 id='structs' class='section-header'><a href="#structs">Structs</a></h2>
<table><tr class='module-item'><td><a class="struct" href="struct.DataResult.html" title='geoip_maxmind::lib::maxmind_reader::DataResult struct'>DataResult</a></td><td class='docblock-short'><p>Struct to store data from maxmind db 
If you want to add more data you can add it there 
modify header_data_result function
modify get_generic_data
modify </p>
</td></tr><tr class='module-item'><td><a class="struct" href="struct.ReaderDb.html" title='geoip_maxmind::lib::maxmind_reader::ReaderDb struct'>ReaderDb</a></td><td class='docblock-short'><p>ReaderDb is a structure who save city and isp 
handler </p>
</td></tr></table><h2 id='functions' class='section-header'><a href="#functions">Functions</a></h2>
<table><tr class='module-item'><td><a class="fn" href="fn.get_generic_data.html" title='geoip_maxmind::lib::maxmind_reader::get_generic_data fn'>get_generic_data</a></td><td class='docblock-short'><p>Return a generic_data for country , long, lat , asn and aso</p>
</td></tr><tr class='module-item'><td><a class="fn" href="fn.header_data_result.html" title='geoip_maxmind::lib::maxmind_reader::header_data_result fn'>header_data_result</a></td><td class='docblock-short'><p>Return a simple structure to put on the
head of csv file </p>
</td></tr><tr class='module-item'><td><a class="fn" href="fn.reader_db.html" title='geoip_maxmind::lib::maxmind_reader::reader_db fn'>reader_db</a></td><td class='docblock-short'><p>reader_db : function to get handler for city and isp database</p>
</td></tr></table></section><section id="search" class="content hidden"></section><section class="footer"></section><script>window.rootPath = "../../../";window.currentCrate = "geoip_maxmind";</script><script src="../../../aliases.js"></script><script src="../../../main.js"></script><script defer src="../../../search-index.js"></script></body></html>